package hr.fer.ruazosa.uidemo;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.Spinner;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.Toast;


public class TestGUIActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test_gui);

        Button dialog_button = (Button) this.findViewById(R.id.button);
        dialog_button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AlertDialog.Builder adb = new AlertDialog.Builder(TestGUIActivity.this);
                adb.setTitle("Are you sure you close the application?");
                adb.setMessage("You will lose all unsaved data");
                adb.setCancelable(false);
                adb.setPositiveButton("Yes", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        TestGUIActivity.this.finish();
                        System.exit(0);
                    }
                });
                adb.setNegativeButton("No", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        dialog.cancel();
                    }
                });
                adb.show();
            }
        });

        Button submit_button = (Button) this.findViewById(R.id.button2);
        submit_button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                TextView textView = (TextView) TestGUIActivity.this.findViewById(R.id.textView6);
                String result = TestGUIActivity.this.getSelected();

                //display toast
                Toast toast = Toast.makeText(TestGUIActivity.this, "Submit clicked", Toast.LENGTH_LONG);
                toast.show();

                Intent intent = new Intent(TestGUIActivity.this, ResultActivity.class);
                intent.putExtra("result", result.toString());
                startActivity(intent);
            }
        });
    }

    private String getSelected() {
        StringBuilder result = new StringBuilder();

        //text
        result.append("Entered text: ");
        EditText entered_text = (EditText) this.findViewById(R.id.editText);
        result.append(entered_text.getText().toString());

        //checkboxes
        result.append("\nSelected checkboxes: ");
        CheckBox checkbox_a = (CheckBox) this.findViewById(R.id.checkBox);
        if (checkbox_a.isChecked()) {
            result.append(checkbox_a.getText().toString() + " ");
        }
        CheckBox checkbox_b = (CheckBox) this.findViewById(R.id.checkBox2);
        if (checkbox_b.isChecked()) {
            result.append(checkbox_b.getText().toString() + " ");
        }
        CheckBox checkbox_c = (CheckBox) this.findViewById(R.id.checkBox3);
        if (checkbox_c.isChecked()) {
            result.append(checkbox_c.getText().toString() + " ");
        }

        //radiobuttons
        result.append("\nSelected radiobutton: ");
        RadioButton radiobutton_x = (RadioButton) this.findViewById(R.id.radioButton);
        if (radiobutton_x.isChecked()) {
            result.append(radiobutton_x.getText().toString());
        } else {
            RadioButton radiobutton_y = (RadioButton) this.findViewById(R.id.radioButton2);
            if (radiobutton_y.isChecked()) {
                result.append(radiobutton_y.getText().toString());
            } else {
                RadioButton radiobutton_z = (RadioButton) this.findViewById(R.id.radioButton3);
                if (radiobutton_z.isChecked()) {
                    result.append(radiobutton_z.getText().toString());
                }
            }
        }

        //switch
        result.append("\nSelected switch: ");
        Switch onOffSwitch = (Switch) findViewById(R.id.switch1);
        boolean on = onOffSwitch.isChecked();

        String sText;
        if (on) {
            sText = onOffSwitch.getTextOn().toString();
        } else {
            sText = onOffSwitch.getTextOff().toString();
        }
        result.append(sText);

        //spinner
        result.append("\nSelected spinner item: ");
        Spinner spinner = (Spinner) findViewById(R.id.spinner);
        result.append(spinner.getSelectedItem().toString());

        //timepicker
        result.append("\nSelected time: ");
        TimePicker timePicker = (TimePicker) findViewById(R.id.timePicker);
        result.append(timePicker.getCurrentHour() + ":" + timePicker.getCurrentMinute());

        return result.toString();
    }
}
